Summary:	A generic SVG library
Summary(pl.UTF-8):	Ogólna biblioteka SVG
Name:		libsvg
Version:	0.1.4
Release:	15
License:	LGPL v2+
Group:		Libraries
Source0:	http://cairographics.org/snapshots/%{name}-%{version}.tar.gz
# Source0-md5:	ce0715e3013f78506795fba16e8455d3
Patch0:		%{name}-link.patch
Patch1:		%{name}-pkgconfig.patch
Patch2:		%{name}-lt.patch
Patch3:		%{name}-libpng.patch
URL:		http://cairographics.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel >= 1.2.4
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.26
BuildRequires:	pkgconfig
Requires:	libxml2 >= 1:2.6.26
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libsvg provides a parser for SVG content in files or buffers. It
doesn't do any rendering, but instead provides a function-based
interface that can be used by various rendering engines.

%description -l pl.UTF-8
libsvg udostępnia parser dla danych SVG z plików lub buforów. Nie
wykonuje żadnego renderingu, dostarcza jedynie oparty na funkcjach
interfejs, który można wykorzystać w różnych silnikach renderujących.

%package devel
Summary:	Header files for libsvg library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libsvg
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libjpeg-devel
Requires:	libpng-devel
Requires:	libxml2-devel >= 1:2.6.26

%description devel
Header files for libsvg library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libsvg.

%package static
Summary:	Static libsvg library
Summary(pl.UTF-8):	Statyczna biblioteka libsvg
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libsvg library.

%description static -l pl.UTF-8
Statyczna biblioteka libsvg.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	LIBS="-lm -lz"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libsvg.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsvg.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsvg.so
%{_libdir}/libsvg.la
%{_includedir}/svg.h
%{_pkgconfigdir}/libsvg.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libsvg.a
%changelog
* Fri Jul 24 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/libsvg.git;a=log;h=master

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> fc46743
- x32 rebuild
- release 15 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 58d19c2
- release 14 (by relup.sh)

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> b564875
- release 13

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> bd2b325
- release 12

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 4c66859
- link with -lm and -lz

* Sun Oct 31 2010 Jakub Bogusz <qboosh@pld-linux.org> 2d20952
- more verbose files
- proper URL

* Mon Jun 21 2010 lisu <lisu@pld-linux.org> 3c63dcf
- new URL

* Thu Jun 17 2010 lisu <lisu@pld-linux.org> be444f6
- fix build with new libpng

* Thu Jun 17 2010 lisu <lisu@pld-linux.org> f5e9376
- fix build with new libpng (-libpng.patch)
- package libsvg.so.1 as ghost
- rel 11

* Thu Jan 28 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5993f14
- rel 10; fix libpng link

* Thu Jan 28 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 724bbd2
- release 9

* Sat Jul 11 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 3dde1df
- release 8

* Wed May 13 2009 Jan Rękorajski <baggins@pld-linux.org> b2e5575
- rel 7
- fix building with current libtool

* Wed May 13 2009 Jan Rękorajski <baggins@pld-linux.org> 5b87fc6
- fix building with recent libtool

* Thu May 07 2009 Jan Rękorajski <baggins@pld-linux.org> 9e9d74b
- rel 6

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c26331b
- release 5

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b457ecc
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8876f62
- converted to UTF-8

* Tue Jul 11 2006 freetz <freetz@pld-linux.org> 76ee687
- pkgconfig patch added, rel.4

* Tue Jul 11 2006 freetz <freetz@pld-linux.org> c07ef68
- fix hardcoded linking in .pc

